Intrusion Prevention

Omron.CX-Supervisor.SCS.File.Handling.Stack.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Buffer Overflow vulnerability in Omron CX-Supervisor.
The vulnerability is due to an error when the vulnerable software handles a maliciously crafted SCS file. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted SCS file.

Affected Products

CX-Supervisor Versions 3.30 and prior

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://www.myomron.com/index.php?action=kb&article=1707

CVE References

CVE-2018-7513